メインコンテンツへスキップ
POST
/
v2
/
enterprise
/
playbooks
Enterprise プレイブックを作成
curl --request POST \
  --url https://api.devin.ai/v2/enterprise/playbooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "body": "<string>",
  "title": "<string>",
  "macro": "<string>"
}
'
{
  "access": "<string>",
  "account_id": "<string>",
  "body": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by_user_id": "<string>",
  "created_by_user_name": "<string>",
  "playbook_id": "<string>",
  "status": "<string>",
  "title": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "updated_by_user_id": "<string>",
  "updated_by_user_name": "<string>",
  "macro": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

Enterprise 管理者の個人用 APIキーが必要です。 新しい playbook を作成します。playbook はお使いのアカウントおよび Enterprise に関連付けられます。マクロを使用して、!deploy のようなショートカットを素早く作成できます。

承認

Authorization
string
header
必須

Enterprise 管理者専用の個人用 API キー (apk_user_*)

ボディ

application/json
body
string
必須
Minimum string length: 1
title
string
必須
Minimum string length: 1
macro
string | null

レスポンス

成功時のレスポンス

access
string
必須
account_id
string
必須
body
string
必須
created_at
string<date-time> | null
必須
created_by_user_id
string | null
必須
created_by_user_name
string | null
必須
playbook_id
string
必須
status
string
必須
title
string
必須
updated_at
string<date-time> | null
必須
updated_by_user_id
string | null
必須
updated_by_user_name
string | null
必須
macro
string | null